=== debian/changelog ===
avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u4) oldstable; urgency=medium

  * Update included ffmpeg to 4.2.11
  * Fixes following vulnerabilities: CVE-2023-49502, CVE-2025-0518 and
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 16:31:22 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u3) oldstable; urgency=medium

  * Update included ffmpeg to 4.2.10
    Fix CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 11:52:48 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.2.9
    Fixes following vulnerabilities: CVE-2022-3109, CVE-2020-20451,
    CVE-2020-21041, CVE-2020-22020, CVE-2020-22022, CVE-2020-22023,
    CVE-2020-22025, CVE-2020-22026, CVE-2020-22028, CVE-2020-22031,
    CVE-2020-22032, CVE-2020-22036, CVE-2020-22041, CVE-2020-22044,
    CVE-2020-22048, CVE-2020-20891, CVE-2020-20892, CVE-2020-20896,
    CVE-2020-22027, CVE-2020-20446, CVE-2020-20453, CVE-2020-22015,
    CVE-2020-22019, CVE-2020-22021, CVE-2020-22037, CVE-2020-23906,
    CVE-2020-35964, CVE-2020-35965, CVE-2021-38114, CVE-2021-38171,
    CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Apr 2023 07:59:35 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u1) stable; urgency=medium

  * New upstream snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 11:31:06 +0200

avidemux-dmo (1:2.7.8+20210616.gitdc323dac9-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.7.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jun 2021 12:54:35 +0200

avidemux-dmo (1:2.7.8-dmo5) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 08:08:03 +0200

avidemux-dmo (1:2.7.8-dmo4) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:59:48 +0200

avidemux-dmo (1:2.7.8-dmo3) unstable; urgency=medium

  * Build with libx265-199

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 15:35:46 +0200

avidemux-dmo (1:2.7.8-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 15:47:29 +0100

avidemux-dmo (1:2.7.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 08:19:36 +0100

avidemux-dmo (1:2.7.6-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.2.4 fix CVE-2020-13904
  * Build Conflicts nv-codec-headers for arm64, armel, armhf and powerpc
    architectures otherwise the build fail.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jul 2020 10:17:51 +0200

avidemux-dmo (1:2.7.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 08:59:27 +0200

avidemux-dmo (1:2.7.4-dmo9) unstable; urgency=medium

  * Build with libx265-192

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 08:35:35 +0200

avidemux-dmo (1:2.7.4-dmo8) unstable; urgency=medium

  * Build with libx264-160

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Apr 2020 09:59:59 +0200

avidemux-dmo (1:2.7.4-dmo7) unstable; urgency=medium

  * Build with libx265-188

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Feb 2020 13:01:13 +0100

avidemux-dmo (1:2.7.4-dmo6) unstable; urgency=medium

  * Fix FTBFS for armel, armhf and arm64 arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2020 19:24:55 +0100

avidemux-dmo (1:2.7.4-dmo5) unstable; urgency=medium

  * Update included ffmpeg to 4.1.5 fixes CVE-2019-17539, CVE-2019-17542

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2020 15:47:44 +0100

avidemux-dmo (1:2.7.4-dmo4) unstable; urgency=medium

  * Build with libx264-159

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 13:50:58 +0100

avidemux-dmo (1:2.7.4-dmo3) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:08:26 +0200

avidemux-dmo (1:2.7.4-dmo2) unstable; urgency=medium

  * Rebuild against libx265-179

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Sep 2019 17:58:11 +0200

avidemux-dmo (1:2.7.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2019 16:20:17 +0200

avidemux-dmo (1:2.7.3-dmo5) unstable; urgency=medium

  * Rebuild against libx264-158

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Jul 2019 15:10:48 +0200

avidemux-dmo (1:2.7.3-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 4.1.4
  * This release fix CVE-2019-12730

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 09:47:32 +0200

avidemux-dmo (1:2.7.3-dmo3) unstable; urgency=medium

  * Rebuild against libx265-176

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jun 2019 07:39:35 +0200

avidemux-dmo (1:2.7.3-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2019 14:38:04 +0200

avidemux-dmo (1:2.7.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Mar 2019 01:49:04 +0100

avidemux-dmo (1:2.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Mar 2019 10:56:55 +0100

avidemux-dmo (1:2.7.1-dmo7) unstable; urgency=medium

  * Disable AVSProxy. This proxy is only available under Windows.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Mar 2019 09:05:37 +0100


