=== debian/control ===
Source: avidemux-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://fixounet.free.fr/avidemux/
Standards-Version: 4.5.1
Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [arm64 armel armhf powerpc]
Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
 libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
 libxml2-dev, libasound2-dev [linux-any], libsdl-dev, libxv-dev, libxmu-dev,
 libvdpau-dev, libfaac-dev (>= 1.24), libfaad-dev (>= 2.7), libass-dev,
 cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
 libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
 yasm [any-amd64 any-i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
 libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig1-dev,
 libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
 libpython3-dev, libqt5opengl5-dev, qtscript5-dev, libx265-dev (>= 1:2.8~),
 nv-codec-headers [amd64 i386], libaom-dev

Package: avidemux
Architecture: any
Depends: ${misc:Depends}, avidemux-qt
Description: Free video editor
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package install the QT version.

Package: avidemux-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version})
Recommends: mjpegtools, twolame, lame
Replaces: avidemux (<< 1:2.5.6-dmo11)
Provides: avidemux
Description: Free video editor (QT version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the QT version.

Package: avidemux-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version})
Recommends: mjpegtools, twolame, lame
Provides: avidemux
Description: Free video editor (command line version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line version.

Package: avidemux-common
Architecture: all
Replaces: avidemux (<= 1:2.4.0-0.0)
Depends: ${misc:Depends}
Description: Free video editor (Internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains internationalization files needed to translate
 strings in avidemux to others languages.

Package: avidemux-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libavidemux, avidemux (<= 1:2.5.1-0.4)
Conflicts: libavidemux
Description: Free video editor (plugins)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionality of Avidemux.
