## avidemux-dmo 2.8.1+20221010.gitccd3df5cb

=== debian/changelog ===
avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+6) oldstable-backports; urgency=medium

  * Update included ffmpeg to 4.4.6: Fixes CVE-2023-49502, CVE-2025-0518,
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 08:42:42 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+5) oldstable-backports; urgency=medium

  * Really build with libx264-165
  * Update included ffmpeg to 4.4.5: Fixes CVE-2024-7055 and CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 16:46:50 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+4) oldstable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 09:28:58 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+3) oldstable-backports; urgency=medium

  * Build with libx265-209

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 17:04:59 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+2) stable-backports; urgency=medium

  * Update included ffmpeg to 4.4.4
    Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Apr 2023 12:53:15 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+1) stable-backports; urgency=medium

  * New git snapshot from origin/support_2.8.1
  * Update internal ffmpeg to 4.4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Oct 2022 16:38:26 +0200

avidemux-dmo (1:2.8.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Sep 2022 08:35:32 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Feb 2022 14:59:19 +0100

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Feb 2022 00:42:43 +0100

avidemux-dmo (1:2.8.0+20220201.gitb34a5061f-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Feb 2022 14:55:14 +0100

avidemux-dmo (1:2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Dec 2021 11:02:13 +0100

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo2) unstable; urgency=medium

  * Build with libvpx7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:24:00 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo1) unstable; urgency=medium

  * New upstream snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 11:05:29 +0200
