=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://fixounet.free.fr/avidemux/
-Standards-Version: 4.5.1
-Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [arm64 armel armhf powerpc]
+Standards-Version: 4.6.0
+Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [armel armhf powerpc]
 Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
  libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
  libxml2-dev, libasound2-dev [linux-any], libsdl-dev, libxv-dev, libxmu-dev,
@@ -13,10 +13,10 @@
  cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
  libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
  yasm [any-amd64 any-i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
- libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig1-dev,
+ libfribidi-dev, libx264-dev (>= 4:0.165~), libva-dev, libfontconfig1-dev,
  libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
  libpython3-dev, libqt5opengl5-dev, qtscript5-dev, libx265-dev (>= 1:2.8~),
- nv-codec-headers [amd64 i386], libaom-dev
+ nv-codec-headers [amd64 arm64], libaom-dev
 
 Package: avidemux
 Architecture: any
