=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,20 @@
 
 CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true -DUSE_EXTERNAL_LIBA52=true \
 	-DUSE_EXTERNAL_LIBMAD=true -DUSE_EXTERNAL_MP4V2=true -DENABLE_QT5=True \
-	-DCMAKE_BUILD_TYPE=Release -DVAPOURSYNTH=OFF
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo -DVAPOURSYNTH=OFF
 
 ##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False
 
 # git clone https://github.com/mean00/avidemux2_i18n avidemux/qt4/i18n/
+# rm -rf avidemux/qt4/i18n/.git
 
 FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)
 
-ifneq "$(FFMPEG_VERSION)" "4.2.4"
+ifneq "$(FFMPEG_VERSION)" "4.4.2"
 	exit 1
 endif
 
-LOCAL_FFMPEG = 4-2-11
+LOCAL_FFMPEG = 4-4-6
 
 export QT_SELECT=5
 
@@ -52,11 +53,11 @@
 
 #	exit 1
 
-	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt -Davidemux/qt4 -- \
+	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt5 -Davidemux/qt4 -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev
 
-	dh_auto_build -BbuildQt
-	dh_auto_install -BbuildQt
+	dh_auto_build -BbuildQt5
+	dh_auto_install -BbuildQt5
 
 	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCommon -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
@@ -71,12 +72,12 @@
 	dh_auto_build -BbuildCli
 	dh_auto_install -BbuildCli
 
-	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt -Davidemux_plugins -- \
+	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt5 -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
 	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=QT4 -Wno-dev
 
-	dh_auto_build -BbuildPluginsQt
-	dh_auto_install -BbuildPluginsQt
+	dh_auto_build -BbuildPluginsQt5
+	dh_auto_install -BbuildPluginsQt5
 
 	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCLI -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
@@ -93,10 +94,10 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -BbuildCore
-	dh_auto_clean -BbuildQt
+	dh_auto_clean -BbuildQt5
 	dh_auto_clean -BbuildCli
 	dh_auto_clean -BbuildPluginsCommon
-	dh_auto_clean -BbuildPluginsQt
+	dh_auto_clean -BbuildPluginsQt5
 	dh_auto_clean -BbuildPluginsCLI
 
 override_dh_clean:
