## avidemux-dmo 2.8.1+20250417.git0f5afee83

=== avidemux_plugins/ADM_videoDecoder/aom/CMakeLists.txt ===
INCLUDE(vd_plugin)
INCLUDE(admCheckAom)

checkAomDec()

IF (USE_AOM_DEC)
  SET(aom_SRCS
        aomDecPlugin.cpp
        ADM_aomDec.cpp
    )
  SET(PLUGIN_LIBNAME "ADM_vd_aom")
  ADD_LIBRARY(${PLUGIN_LIBNAME} SHARED ${aom_SRCS})
  TARGET_INCLUDE_DIRECTORIES(${PLUGIN_LIBNAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  TARGET_INCLUDE_DIRECTORIES(${PLUGIN_LIBNAME} PRIVATE ${AOM_INCLUDEDIR})

  TARGET_LINK_LIBRARIES(${PLUGIN_LIBNAME} PRIVATE ${AOM_LDFLAGS})
  INIT_VIDEO_DECODER(${PLUGIN_LIBNAME})
  INSTALL_VIDEO_DECODER(${PLUGIN_LIBNAME})
ENDIF (USE_AOM_DEC)
