=== debian/changelog ===
avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo0~bpo12+2) bookworm-backports; urgency=medium

  * Update included ffmpeg to 7.0.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 08:47:54 +0200

avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Apr 2025 15:12:57 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2+deb12u2) stable; urgency=medium

  * Add libglu1-mesa-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 11:08:52 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2+deb12u1) stable; urgency=medium

  * Update included ffmpeg to 4.4.5
    Fixes security issues: CVE-2024-7055 and CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 10:33:18 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.4
  * Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Apr 2023 08:27:47 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.1
  * Update included ffmpeg to 4.4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 01:51:38 +0200

avidemux-dmo (1:2.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2022 07:52:15 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Apr 2022 15:00:49 +0200
