=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,13 @@
 
 CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true -DUSE_EXTERNAL_LIBA52=true \
-	-DUSE_EXTERNAL_LIBMAD=true -DUSE_EXTERNAL_MP4V2=true -DENABLE_QT5=True \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo -DVAPOURSYNTH=OFF
+CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true \
+		-DUSE_EXTERNAL_LIBA52=true \
+		-DUSE_EXTERNAL_LIBMAD=true \
+		-DUSE_EXTERNAL_MP4V2=true \
+		-DENABLE_QT5=True \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DVAPOURSYNTH=OFF
 
 ##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False
 
@@ -25,13 +29,15 @@
 
 FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)
 
-ifneq "$(FFMPEG_VERSION)" "4.4.2"
-	exit 1
-endif
+#ifneq "$(FFMPEG_VERSION)" "4.4.2"
+#	exit 1
+#endif
 
-LOCAL_FFMPEG = 4-4-6
+LOCAL_FFMPEG = 7-0-3
 
 export QT_SELECT=5
+
+# ninja doesn't work 04/04/2023
 
 %:
 	dh $@ -Scmake --with quilt -X.h -X.cmake
